commit:     81d59ed7eb5a822322ed388560552aacc1b62ae9
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun May 19 15:26:57 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun May 19 16:55:53 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81d59ed7

media-sound/beets: 1.4.8 version bump

Closes: https://bugs.gentoo.org/683814
Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-sound/beets/Manifest                         |   1 +
 media-sound/beets/beets-1.4.8.ebuild               | 141 +++++++++++++++++++++
 .../files/beets-1.4.8-imagemagick-detection.patch  |  23 ++++
 3 files changed, 165 insertions(+)

diff --git a/media-sound/beets/Manifest b/media-sound/beets/Manifest
index e6047ad865d..0d2b246872b 100644
--- a/media-sound/beets/Manifest
+++ b/media-sound/beets/Manifest
@@ -1 +1,2 @@
 DIST beets-1.4.7.tar.gz 1458621 BLAKE2B 
f7dd19a7dd92415c29e9b1a7932ba33cb5d43000d35a58b2f42c1487db68c6374dd159960f67e1ac68722693d91d364b24297fb2c0c86a39b82fe5b40a1e739d
 SHA512 
6663a2ffece208a510fce9f5d3dd9c8e617cab60cdb994f7bdb13fd759cfea8882290c75c3cdf4f6de9c7d9b78845b6ed29f98b41c787c89ff8782e4ac3ec152
+DIST beets-1.4.8.tar.gz 1493539 BLAKE2B 
63c44f05bbf139cd43b5f5ada972fd30beeea2303c6b479b1be35ea21fabb0039b3c8eb6e90f8f1b2a61fed36d97ce09a32c6346cbd3b84c7c978e796505f4b4
 SHA512 
449bed88185a5ecb4781719e092c2428ddc52fb8084033db64a4c0eca8899154192e7cea82517993d60326c7fe39b26429584ba368ffc35800f722d8d6a03217

diff --git a/media-sound/beets/beets-1.4.8.ebuild 
b/media-sound/beets/beets-1.4.8.ebuild
new file mode 100644
index 00000000000..432eaabd985
--- /dev/null
+++ b/media-sound/beets/beets-1.4.8.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{5,6}} )
+PYTHON_REQ_USE="sqlite"
+inherit distutils-r1
+
+MY_PV=${PV/_beta/-beta.}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="A media library management system for obsessive-compulsive music 
geeks"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+HOMEPAGE="http://beets.io/ https://pypi.org/project/beets/";
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="MIT"
+IUSE="badfiles chromaprint doc discogs ffmpeg gstreamer icu lastfm mpd 
replaygain test thumbnail webserver"
+
+RDEPEND="
+       dev-python/jellyfish[${PYTHON_USEDEP}]
+       dev-python/munkres[${PYTHON_USEDEP}]
+       >=dev-python/python-musicbrainz-ngs-0.4[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/requests-oauthlib[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9[${PYTHON_USEDEP}]
+       dev-python/unidecode[${PYTHON_USEDEP}]
+       >=media-libs/mutagen-1.33[${PYTHON_USEDEP}]
+       virtual/python-enum34[${PYTHON_USEDEP}]
+       badfiles? (
+               media-libs/flac
+               media-sound/mp3val
+       )
+       chromaprint? (
+               dev-python/pyacoustid[${PYTHON_USEDEP}]
+               media-libs/chromaprint[tools]
+       )
+       discogs? ( dev-python/discogs-client[${PYTHON_USEDEP}] )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       ffmpeg? ( media-video/ffmpeg:0[encode] )
+       icu? ( dev-db/sqlite[icu] )
+       lastfm? ( dev-python/pylast[${PYTHON_USEDEP}] )
+       mpd? (
+               dev-python/bluelet[${PYTHON_USEDEP}]
+               dev-python/python-mpd[${PYTHON_USEDEP}]
+               gstreamer? ( media-plugins/gst-plugins-meta:1.0 )
+       )
+       replaygain? (
+               gstreamer? (
+                       dev-python/pygobject:3[${PYTHON_USEDEP}]
+                       media-libs/gst-plugins-good:1.0
+                       media-plugins/gst-plugins-meta:1.0[ffmpeg]
+               )
+               !gstreamer? ( media-sound/mp3gain )
+       )
+       thumbnail? (
+               dev-python/pyxdg[${PYTHON_USEDEP}]
+               virtual/python-pathlib[${PYTHON_USEDEP}]
+               || (
+                       dev-python/pillow[${PYTHON_USEDEP}]
+                       media-gfx/imagemagick
+               )
+       )
+       webserver? (
+               dev-python/flask[${PYTHON_USEDEP}]
+               dev-python/flask-cors[${PYTHON_USEDEP}]
+       )
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+RESTRICT="test" # tests broken in 1.4.3 already
+
+PATCHES=( "${FILESDIR}/${P}-imagemagick-detection.patch" )
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       rm_use_plugins() {
+               [[ -n "${1}" ]] || die "rm_use_plugins: No use option given"
+               local use=${1}
+               local plugins=${use}
+               use ${use} && return
+               einfo "no ${use}:"
+               [[ $# -gt 1 ]] && plugins="${@:2}"
+               for arg in ${plugins[@]}; do
+                       einfo "  removing ${arg}"
+                       if [[ -e "beetsplug/${arg}.py" ]]; then
+                               rm beetsplug/${arg}.py || die "Unable to remove 
${arg} plugin"
+                       fi
+                       if [[ -d "beetsplug/${arg}" ]]; then
+                               rm -r beetsplug/${arg} || die "Unable to remove 
${arg} plugin"
+                       fi
+                       sed -e "s:'beetsplug.${arg}',::" -i setup.py || \
+                               die "Unable to disable ${arg} plugin "
+               done
+       }
+
+       default
+
+       rm_use_plugins chromaprint chroma
+       rm_use_plugins ffmpeg convert
+       rm_use_plugins icu loadext
+       rm_use_plugins lastfm lastgenre lastimport
+       rm_use_plugins mpd bpd mpdstats
+       rm_use_plugins webserver web
+       rm_use_plugins thumbnail thumbnails
+
+       # remove plugins that do not have appropriate dependencies installed
+       for flag in badfiles discogs replaygain; do
+               rm_use_plugins ${flag}
+       done
+
+       if ! use mpd; then
+               rm -f test/test_player.py || die
+       fi
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       cd test || die
+       if ! use webserver; then
+               rm test_web.py || die "Failed to remove test_web.py"
+       fi
+       "${PYTHON}" testall.py || die "Testsuite failed"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       doman man/beet.1 man/beetsconfig.5
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       einstalldocs
+}

diff --git a/media-sound/beets/files/beets-1.4.8-imagemagick-detection.patch 
b/media-sound/beets/files/beets-1.4.8-imagemagick-detection.patch
new file mode 100644
index 00000000000..1564cd80b1f
--- /dev/null
+++ b/media-sound/beets/files/beets-1.4.8-imagemagick-detection.patch
@@ -0,0 +1,23 @@
+From 299cb53e44efdbccd2ad623434edcdbd4073547a Mon Sep 17 00:00:00 2001
+From: Filipe Fortes <[email protected]>
+Date: Fri, 17 May 2019 15:02:18 -0400
+Subject: [PATCH] Fix ImageMagick Detection
+
+The `return` statement was at the wrong indent level, so we never checked for 
the legacy `convert` executable
+---
+ beets/util/artresizer.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/beets/util/artresizer.py b/beets/util/artresizer.py
+index 3590dcf22..1ee3e560d 100644
+--- a/beets/util/artresizer.py
++++ b/beets/util/artresizer.py
+@@ -278,7 +278,7 @@ def get_im_version():
+                                int(match.group(3)))
+                     return version, legacy
+ 
+-        return None
++    return None
+ 
+ 
+ def get_pil_version():

Reply via email to